1.0
1.0
get /v1/aimlops-platform
Description
Get List of AI&MLOps Platform.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | Size Example : 20 | any of [integer, null] | 20 |
| query | page optional | Page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | Sort Example : created_dt:asc | string | created_dt:desc |
| query | created_by optional | Created By Example : 10a599e031e749b7b260868f441e862b | string | |
| query | release_name optional | Release Name Example : aiml-test | string | |
| query | cluster_name optional | Cluster Name Example : cluster-test | string | |
| query | version optional | Version Example : v1.7.1 | string | |
| query | kubeflow_type optional | Kubeflow Type Example : Mini | string | |
| query | status optional | Service State Example : DEPLOYED | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | AiMlOpsPlatformsListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/aimlops-platform
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = aimlops-platform 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"cluster_id": "10a599e031e749b7b260868f441e862b",
"cluster_name": "cluster-test",
"created_by": "10a599e031e749b7b260868f441e862b",
"created_dt": "2024-05-17T00:23:17Z",
"kubeflow_type": "Enterprise",
"modified_by": "10a599e031e749b7b260868f441e862b",
"modified_dt": "2024-05-17T00:23:17Z",
"release_id": "10a599e031e749b7b260868f441e862b",
"release_name": "aiml-test",
"status": "DEPLOYED",
"version": "v1.7.1"
}
],
"total_count": 10
}